Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.requests
Class GetSuperObjectProperties

    java.lang.Object
      org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest<R>
          org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequestWithOneObjectAndBooleanValue<ObjectPropertySynsets,OWLObjectPropertyExpression>
              org.semanticweb.owlapi.owllink.builtin.requests.GetSuperObjectProperties

All Implemented Interfaces:
  KBRequest<ObjectPropertySynsets>, Request<ObjectPropertySynsets>

    public class GetSuperObjectProperties

extends AbstractKBRequestWithOneObjectAndBooleanValue<ObjectPropertySynsets,OWLObjectPropertyExpression>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 23.10.2009

Field Summary

Fields inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequestWithOneObjectAndBooleanValue
`bool, object`

Constructor Summary
`GetSuperObjectProperties(IRI iri, OWLObjectPropertyExpression object)`
`GetSuperObjectProperties(IRI iri, OWLObjectPropertyExpression object, boolean isDirect)`

Method Summary
`void` | `accept(RequestVisitor visitor)`
`OWLObjectPropertyExpression` | `getProperty()`
`boolean` | `isDirect()`

Methods inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest
`getKB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetSuperObjectProperties

    public GetSuperObjectProperties(IRI iri,
                                    OWLObjectPropertyExpression object,
                                    boolean isDirect)

### GetSuperObjectProperties

    public GetSuperObjectProperties(IRI iri,
                                    OWLObjectPropertyExpression object)

Method Detail

### isDirect

    public boolean isDirect()

### getProperty

    public OWLObjectPropertyExpression getProperty()

### accept

    public void accept(RequestVisitor visitor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD